Merge "Dockerfile in light-ui: use deb package from repo"
diff --git a/installers/full_install_osm.sh b/installers/full_install_osm.sh
index e1f2ff2..a5fc9f4 100755
--- a/installers/full_install_osm.sh
+++ b/installers/full_install_osm.sh
@@ -83,7 +83,7 @@
}
# takes a juju/accounts.yaml file and returns the password specific
-# for a controller. I wrote this using only bash tools to minimize
+# for a controller. I wrote this using only bash tools to minimize
# additions of other packages
function parse_juju_password {
password_file="${HOME}/.local/share/juju/accounts.yaml"
@@ -632,11 +632,11 @@
}
function juju_createcontroller() {
- if ! sg lxd -c "juju show-controller $OSM_STACK_NAME &> /dev/null"; then
+ if ! juju show-controller $OSM_STACK_NAME &> /dev/null; then
# Not found created, create the controller
sg lxd -c "juju bootstrap --bootstrap-series=xenial localhost $OSM_STACK_NAME"
fi
- [ $(sg lxd -c "juju controllers" | awk "/^${OSM_STACK_NAME}[\*| ]/{print $1}"|wc -l) -eq 1 ] || FATAL "Juju installation failed"
+ [ $(juju controllers | awk "/^${OSM_STACK_NAME}[\*| ]/{print $1}"|wc -l) -eq 1 ] || FATAL "Juju installation failed"
}
function generate_docker_images() {
@@ -1399,4 +1399,3 @@
wget -q -O- https://osm-download.etsi.org/ftp/osm-4.0-four/README2.txt &> /dev/null
track end
echo -e "\nDONE"
-